View Issue Details

IDProjectCategoryView StatusLast Update
0006004ScribusStory Editor / Text Framespublic2016-12-08 21:39
Reporternadavkav Assigned ToFahad  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionno change required 
PlatformlinuxOSfedoraOS Version7
Product Version1.3.3.9cvs 
Target Version1.5.3Fixed in Version1.5.3.svn 
Summary0006004: wishlist: set default Text Area's content direction to rtl
Descriptionit would be very helpful to have an ability to set the Text Area's text direction to rtl, globally for the document. so it will not be needed to set it for each new element in the properties box.

a good place to add it would be: File-->Document Setup-->Tools-->TextArea
(i'm referring to the Right to left writing "R" button)
Tags#please_test, fixed, HOST-Oman, RTL
Patch

Relationships

child of 0003965 acknowledged Metabug: Support for non-latin languages 
child of 0001547 closedFahad Support for Indic Scripts 

Activities

Kunda

2016-03-27 01:25

manager   ~0039448

According to HOST-Oman team, these issues are fixed in the new CTL branch!
See https://github.com/HOST-Oman/scribus/issues/75#issue-142809558
There will be a build provided soon to test this fix OR one can build their branch manually.

user5122

2016-05-07 12:03

  ~0040865

In the CTL branch paragraph direction is now a paragraph style and once can change it in the default paragraph style. The direction of the text itself is determined by the Unicode bidirectional algorithm and does not need any settings to activate it.

cbradney

2016-12-03 22:18

administrator   ~0042617

r21564

Issue History

Date Modified Username Field Change
2007-07-17 12:35 nadavkav New Issue
2007-07-17 15:52 plinnell Severity minor => feature
2007-07-17 15:52 plinnell Status new => confirmed
2007-07-17 15:52 plinnell Category Internal => Story Editor / Text Frames
2007-07-17 15:53 plinnell Relationship added child of 0003965
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2016-03-26 13:37 Kunda Tag Attached: RTL
2016-03-26 13:38 Kunda Relationship added child of 0001547
2016-03-26 13:45 Kunda Tag Attached: #please_test
2016-03-26 13:45 Kunda Tag Attached: fixed
2016-03-26 13:45 Kunda Tag Attached: HOST-Oman
2016-03-26 13:46 Kunda File Added: 87afb964-f28f-11e5-9a4c-b139fc091158.jpg
2016-03-26 13:48 Kunda File Deleted: 87afb964-f28f-11e5-9a4c-b139fc091158.jpg
2016-03-26 13:49 Kunda Tag Detached: fixed
2016-03-27 01:24 Kunda Tag Attached: fixed
2016-03-27 01:25 Kunda Note Added: 0039448
2016-05-07 12:03 user5122 Note Added: 0040865
2016-12-03 22:18 cbradney Assigned To => Fahad
2016-12-03 22:18 cbradney Status confirmed => resolved
2016-12-03 22:18 cbradney Resolution open => no change required
2016-12-03 22:18 cbradney Fixed in Version => 1.5.3.svn
2016-12-03 22:18 cbradney Note Added: 0042617
2016-12-05 20:21 cbradney Status resolved => closed
2016-12-08 21:39 cbradney Target Version => 1.5.3